dots.v2.partner_network_connect.attachments.post()
Generated on 5 Nov 2026
from DoTs version
v1.23.0
Usage
client.v2.partner_network_connect.attachments.post(body: Partner_attachment_writable, requestConfiguration?: RequestConfiguration<object>): Promise<undefined | AttachmentsPostResponse>Description
To create a new partner attachment, send a POST request to
/v2/partner_network_connect/attachments with a JSON object containing the
required configuration details.
Parameters
namestring requiredExample:
env.prod-partner-network-connectThe name of the partner attachment. Must be unique and may only contain alphanumeric characters, dashes, and periods.
connectionBandwidthInMbpsinteger requiredBandwidth (in Mbps) of the connection.
regionstring requiredThe region to create the partner attachment.
naasProviderstring requiredExample:
megaportvpcIdsarray of strings requiredExample:
["c140286f-e6ce-4131-8b7b-df4590ce8d6a", "994a2735-dc84-11e8-80bc-3cfdfea9fba1"]An array of VPCs IDs.
parentUuidstring optionalExample:
d594cf8d-8c79-4bc5-aec1-6f9b211506b3Optional associated partner attachment UUID
bgpobject optionalOptional BGP configurations
Show child properties
localRouterIpstring requiredExample:
169.254.0.1/29IP of the DO router
peerRouterIpstring requiredExample:
169.254.0.6/29IP of the Naas Provider router
peerRouterAsninteger requiredExample:
64532ASN of the peer router
authKeystring requiredExample:
0xsNnb1pwQlowdoMySEfWwk4IBGP Auth Key
redundancyZonestring optionalOptional redundancy zone for the partner attachment.
Request Sample
Response Example
More Information
See /v2/partner_network_connect/attachments in the API reference for additional detail on responses, headers, parameters, and more.